#include "mg3300.h"
USE LF_ANAMAG
SORT LF_RMOVMAG BY LF_MOVMAG->DATAREG NUMREG NRIG
		USING LF_MOVMAG INTO NUMREG==NUMREG 
	JOIN TO LF_ANAMAG KEY 2 INTO CODART==CODART 
JOIN LF_MOVMAG TO LF_RMOVMAG INTO NUMREG==NUMREG
JOIN CAU TO LF_MOVMAG INTO CODTAB==CODCAUS

JOIN MAG TO LF_RMOVMAG ALIAS 501 INTO CODTAB==CODMAG
JOIN MAG TO LF_RMOVMAG ALIAS 500 INTO CODTAB==CODMAG[1,3]

JOIN LF_UMART TO LF_ANAMAG  INTO CODART==CODART 
JOIN LF_UMART TO LF_RMOVMAG KEY 2 ALIAS 349 INTO CODART==CODART UM==UM
END
	
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    110->* "Movimenti di magazzino"
    111->* "Righe Movimenti di magazzino"
    49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 0
    FONT "Courier New"
    SIZE 12
    CARATTERE "X"
    INIZIALE 5 2
    FINALE 133
END

SECTION HEADER ODD 5
	STRINGA 1 40 1
	BEGIN
	 KEY "nome ditta"
	 PROMPT  1 1 "Ditta "
	 MESSAGE _DITTA, !RAGSOC
	END
	
	STRINGA 2 10
	BEGIN
	 KEY "Data"
	 PROMPT  120 1 "Data "
	 MESSAGE _TODAY
	END
	
	NUMERO 3 7
	BEGIN
	 KEY "Nr. pagina"
	 PROMPT  137 1 "Pagina "
	 MESSAGE _PAGENO
	END
	
	NUMERO 4 45
	BEGIN
	 KEY "Intestazione stampa"
	 PROMPT  45 2 "Stampa schede di magazzino :"
	 MESSAGE _USER,TIPOSCHEDA
	END
	
	STRINGA 5 146
	BEGIN
	  KEY "Separatore (iniziale)"
	  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
	END
	STRINGA 6 12
	BEGIN
		PROMPT 27 4 "UM"
	END
	NUMBER 7 12
	BEGIN
		PROMPT 31 4 "Quantit"
	END
	NUMBER 8 12
	BEGIN
		PROMPT 42 4 "Prezzo"
	END
	NUMBER 9 12
	BEGIN
		PROMPT 54 4 "Valore"
	END
	STRINGA 5 146
	BEGIN
	  KEY "Separatore (iniziale)"
	  PROMPT 1 5 "------------------------------------------------------------------------------------------------------------------------------------------------------"
	END
END

SECTION BODY ODD 2

	NUMBER 100 1
	BEGIN
		FLAGS "H"
		MESSAGE RESET,FF_SALDO_GART|RESET,FF_VALORE_GART
	END
	
	SECTION HEADER_CATMER 1 2 1 GROUP 
		STRINGA 10 20 1
		BEGIN
		 KEY "CODICE CATMER"
		 PROMPT 1 1 "Gruppo merceologico "
		 MESSAGE _USER,CODCATMER
		END
				
		STRINGA 11 50 1
		BEGIN
		 KEY "DESCR."
		 PROMPT 30 1 ""
		 MESSAGE _USER,CATMER
		END
	END //HEADER catmer

	SECTION HEADER_ARTICOLO 1 2 1 GROUP 
		STRINGA 10 20 1
		BEGIN
		 KEY "CODICE articolo"
		 PROMPT 1 1 "Articolo "
		 MESSAGE _USER,CODGRUPPOART
		END
				
		STRINGA 11 50 1
		BEGIN
		 KEY "DESCR.articolo"
		 PROMPT 30 1 ""
		 MESSAGE _USER,GRUPPOART
		END
	END //HEADER articolo	

	SECTION GRUPPI_ARTICOLO 1 0 0 FILE LF_ANAMAG GROUP CODART[1,1]
		SECTION FILE_LF_RMOVMAG 1 1 0 FILE LF_RMOVMAG 
			SECTION HEADER_LIVGIAC 1 3 3 GROUP
				STRINGA 10 20 1
				BEGIN
				 KEY "CODICE articolo"
				 PROMPT 1 1 "Articolo "
				 MESSAGE _USER,CODGRUPPOART
				END
				STRINGA 11 50 1
				BEGIN
				 KEY "DESCR.articolo"
				 PROMPT 30 1 ""
				 MESSAGE _USER,GRUPPOART
				END
	
				STRINGA 20 20 1
				BEGIN
				 KEY "CODICE livello"
				 PROMPT 1 2 ""
				 MESSAGE _USER,CODGRUPPOGIAC|RESET,FF_STAMPASALDOPREC
				END
				STRINGA 21 50 1
				BEGIN
					KEY "Livello giac" 
					PROMPT 23 2 ""
					MESSAGE _USER,GRUPPOGIAC
				END
				SECTION HEADER_MAG 1 1 1 GROUP
					STRINGA 22 50 1
					BEGIN
						KEY "mag" 
						PROMPT 5 1 "Magazzino "
						FIELD 500@->S0
					END
					SECTION HEADER_DEP 1 1 1 GROUP
						STRINGA 23 50 1
						BEGIN
							KEY "dep" 
							PROMPT 7 1 "Deposito "
							FIELD 501@->S0
						END
					END // HEADER deposito
				END // HEADER magazzino
				STRINGA 24 50 1
				BEGIN
					KEY "dep" 
				  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
				END
			END // HEADER livgiac
		
	    STRINGA 10
	    BEGIN
	    	FLAGS "H"
	    	MESSAGE RESET,FF_SALDOPREC_SCHEDA|RESET,FF_VALOREPREC_SCHEDA
	    END
			SECTION SCHEDA_PREC 1 1 1 FILE LF_RMOVMAG GROUP CODART[1,3]
	      NUMERO 10
	      BEGIN
	      	FLAGS "H"
	      	FIELD LF_RMOVMAG->NUMREG
	      	MESSAGE COPY,FF_NUM_MOV|RESET,FF_SALDOPREC_MOV|RESET,FF_VALOREPREC_MOV 
	      END
	      NUMERO 10
	      BEGIN
	      	FLAGS "H"
	      	FIELD LF_MOVMAG->DATAREG
	      	MESSAGE COPY,FF_DATA_MOV
	      END
		
				SECTION MOVIMENTO_PREC 1 0 1 FILE LF_RMOVMAG GROUP NUMREG
			
					STRINGA 100 12
					BEGIN
						PROMPT 1 1 ">>>"
						MESSAGE _STREXPR,LF_RMOVMAG->CODART+" "+LF_RMOVMAG->LIVGIAC+" "+LF_RMOVMAG->CODMAG
					END
		
					STRINGA 101 12
					BEGIN
						PROMPT 27 1 ""
						FIELD LF_RMOVMAG->UM
					END
					NUMBER 102 12
					BEGIN
						FLAGS "H"
						MESSAGE _NUMEXPR,LF_RMOVMAG->QUANT*349@->FC|COPY,103
					END
					NUMBER 103 12
					BEGIN
						PROMPT 31 1 ""
						PICTURE "###.###,@##"
						MESSAGE _USER,SALDO|ADD,FF_SALDOPREC_MOV|RESET,FF_STAMPASALDOPREC
					END
					NUMBER 104 12
					BEGIN
						PROMPT 42 1 ""
						PICTURE "###.###.###"
						FIELD LF_RMOVMAG->PREZZO
					END
					NUMBER 105 12
					BEGIN
						PROMPT 54 1 ""
						PICTURE "###.###.###"
						MESSAGE _NUMEXPR,LF_RMOVMAG->PREZZO*#102|ADD,FF_VALOREPREC_MOV
					END
				END // loop movimento
			
				NUMBER FF_NUM_MOV 32
				BEGIN
					PROMPT 2 1 "Mov. "
				END
				STRINGA FF_DATA_MOV 10
				BEGIN
					PROMPT 12 1 "del "
					FIELD LF_MOVMAG->DATAREG
				END
				STRINGA 100 2
				BEGIN
					PROMPT 27 1 ""
					FIELD LF_UMART->UM
				END
				NUMBER FF_SALDOPREC_MOV 12
				BEGIN
					PROMPT 31 1 ""
					PICTURE "###.###,@##"
					MESSAGE ADD,FF_SALDOPREC_SCHEDA
				END
				NUMBER 100 12
				BEGIN
					PROMPT 42 1 ""
					PICTURE "###.###.###"
					MESSAGE _NUMEXPR,#FF_VALOREPREC_MOV/#FF_SALDOPREC_MOV
				END
				NUMBER FF_VALOREPREC_MOV 12
				BEGIN
					PROMPT 54 1 ""
					PICTURE "###.###.###"
					MESSAGE ADD,FF_VALOREPREC_SCHEDA
				END
			END // loop scheda

			SECTION TOTALI_SCHEDA 1 1 3 GROUP
				NUMBER FF_STAMPASALDOPREC	
				BEGIN
				END
						
				STRINGA 100 15
				BEGIN
					PROMPT 1 1 "Totale scheda"
				END
				STRINGA 100 2
				BEGIN
					PROMPT 27 1 ""
					FIELD LF_UMART->UM
					MESSAGE COPY,FF_UM_GART
				END
				NUMBER FF_SALDOPREC_SCHEDA 12
				BEGIN
					PROMPT 31 1 ""
					PICTURE "###.###,@##"
					MESSAGE ADD,FF_SALDO_GART
				END
				NUMBER FF_VALOREPREC_SCHEDA 12
				BEGIN
					PROMPT 54 1 ""
					PICTURE "###.###.###"
					MESSAGE ADD,FF_VALORE_GART
				END
			END // TOTALI scheda per articolo		
		END // loop RMOVMAG

	END // ragg articolo (codice o catmer)
	SECTION TOTALI_GRUPPIART 1 1 3 GROUP
		STRINGA 100 15
		BEGIN
			PROMPT 1 1 "Totale scheda"
		END
		STRINGA FF_UM_GART 2
		BEGIN
			PROMPT 27 1 ""
			FIELD LF_UMART->UM
		END
		NUMBER FF_SALDO_GART 12
		BEGIN
			PROMPT 31 1 ""
			PICTURE "###.###,@##"
		END
		NUMBER FF_VALORE_GART 12
		BEGIN
			PROMPT 54 1 ""
			PICTURE "###.###.###"
		END
	END // TOTALI scheda per articolo		

END // *****

SECTION FOOTER ODD 2
	STRINGA 100
	BEGIN
		KEY "NUMP"
		PROMPT 50 1 "-----"
	END

	NUMERO 101
	BEGIN
		KEY "NUMPAGE"
		PROMPT 50 2 ""
		MESSAGE _PAGENO
		PICTURE "-###-"
	END

END

