#include <applicat.h>
#include <config.h>
#include "mglib05.h"         //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#include <mask.h>   
#include <printer.h>
#include <relation.h>
#include <tabutil.h>
#include <urldefid.h>
#include <utility.h>
#include "mglib01.h"
#include "mg3300.h"


#include "mglib04.h"


// mg3300       Stampa 
class TStampa_schedemag : public TApplication
{
	TMask * _mask;
	TForm * _form; 

	int _codicees;
	bool _raggmag;
	TString _daart,_aart,_damag,_amag;
	TDate _dadata,_adata;
protected:
  virtual bool create();
  virtual bool destroy();
};

bool TStampa_schedemag::create()
{
  _mask = new TMask("mg3300");
	while (TRUE) {
  	if (_mask->run() != K_ENTER) 
	    return FALSE;
  
//	filtro << "CODART>=" <<'"' << _daart<<'"'  << " && CODART<=" <<'"' << _aart<<'"' ;	
//	filtro << " && ANNOES==" <<'"' << _codicees <<'"' ;	
		// estremi di stanpa
		_raggmag=_mask->get_bool(F_RAGGMAG);
		_daart=_mask->get(F_DAART);
		_aart=_mask->get(F_AART);
    _damag=_mask->get(F_DAMAG);
    _amag=_mask->get(F_AMAG);
    _dadata=_mask->get_date(F_DADATA);
    _adata=_mask->get_date(F_ADATA);
    _codicees=1996;

	  TRectype darec(LF_ANAMAG),arec(LF_ANAMAG);
	  _form = new TForm("mg3300a", "");
	  TCursor& cur = *_form->cursor();
	  cur.setkey();
		// trova il record iniziale
		//darec.put("ANNOES",_codicees);
		darec.put("CODART",_daart);
		//darec.put("CODMAG",_damag);
		//	 trova il record finale
		//arec.put("ANNOES",_codicees);
		arec.put("CODART",_aart);
		//arec.put("CODMAG",_amag);
		cur.setregion(darec,arec);

		_form->print();
		delete _form;
	} // while true  
  return TRUE;
}
bool TStampa_schedemag::destroy()
{
	delete _mask;
  return TRUE;
}








// mg3300       Stampa 
class TStampa_schede_mag : public TPrint_app2
{
	TMask * _mask;
	TForm * _form; // to be moved into TPrint_application

	int _codicees;
	bool _raggmag;
	TString _daart,_aart,_damag,_amag;
	TDate _dadata,_adata;
protected:
  virtual bool print_one(int file);  

  virtual bool user_create();
  virtual bool user_destroy();
  virtual bool set_print(int i=1);
  virtual void set_page(int file,int count);
	
public:
  TStampa_schede_mag() {}
};

bool TStampa_schede_mag ::print_one(int file)
{
	return TRUE;
}


void TStampa_schede_mag ::set_page(int file,int count)
{
}

bool TStampa_schede_mag::set_print(int i)
{
  int s;
  	if (_mask->run() != K_ENTER) 
	    return FALSE;
  
//	filtro << "CODART>=" <<'"' << _daart<<'"'  << " && CODART<=" <<'"' << _aart<<'"' ;	
//	filtro << " && ANNOES==" <<'"' << _codicees <<'"' ;	
		// estremi di stanpa
		_raggmag=_mask->get_bool(F_RAGGMAG);
		_daart=_mask->get(F_DAART);
		_aart=_mask->get(F_AART);
    _damag=_mask->get(F_DAMAG);
    _amag=_mask->get(F_AMAG);
    _dadata=_mask->get_date(F_DADATA);
    _adata=_mask->get_date(F_ADATA);
    _codicees=1996;

	  TRectype darec(LF_MAG),arec(LF_MAG);
	  TCursor& cur = *_form->cursor();
	  cur.setkey();
		// trova il record iniziale
		darec.put("ANNOES",_codicees);
		darec.put("CODART",_daart);
		darec.put("CODMAG",_damag);
		//	 trova il record finale
		arec.put("ANNOES",_codicees);
		arec.put("CODART",_aart);
		arec.put("CODMAG",_amag);
		cur.setregion(darec,arec);
	return TRUE;
}

bool TStampa_schede_mag::user_create()
{

  _mask = new TMask("mg3300");
  _form = new TForm("mg3300a", "");
  add_cursor(_form->cursor());
  add_file(_form->cursor()->file().num());


  return TRUE;
}

bool TStampa_schede_mag::user_destroy()
{
	delete _mask;
	delete _form;
  return TRUE;
}


int mg3300(int argc, char* argv[])
{
	//TStampa_schede_mag a; // derivata da Printapp
	TStampa_schedemag a;// derivata da Application e con uso di form
	a.run(argc,argv,"Stampa schede di magazzino");
	return 0;
}
